#include "ObjMesh.h"
#include "GunBullet.h"
#include "GunMissle.h"

#define ALIVE 0
#define HIT 1

#define DROPPING 0
#define FLYINGAWAY 1
#define FLYINGTOWARDS 2

class CBoss
{
      
private:
      CObjMesh model;
      float timer;
      float missleDelay;
      int state;
      sVector direction;
      float health;
      int injured;
      
public:
      void update();
      void Render(float alpha);
      sVector getPos();
      
      CBoss();
      ~CBoss();
		// No description
		int getStatus();
};
